This is Payabli documentation. For a complete page index, fetch https://docs.payabli.com/llms.txt — append .md to any page URL for lightweight markdown. For section-level indexes, query parameters, and other AI-optimized access methods, see https://docs.payabli.com/ai-agents.md

# Get notification

GET https://api-sandbox.payabli.com/api/Notification/{nId}

Retrieves a single notification or autogenerated report's details.

Reference: https://docs.payabli.com/developers/api-reference/notification/get-notification

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: payabliApi
  version: 1.0.0
paths:
  /Notification/{nId}:
    get:
      operationId: get-notification
      summary: Get notification
      description: Retrieves a single notification or autogenerated report's details.
      tags:
        - subpackage_notification
      parameters:
        - name: nId
          in: path
          description: 'Notification ID. '
          required: true
          schema:
            type: string
        - name: requestToken
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/type_:NotificationQueryRecord'
        '400':
          description: Bad request/ invalid data
          content:
            application/json:
              schema:
                description: Any type
        '401':
          description: Unauthorized request.
          content:
            application/json:
              schema:
                description: Any type
        '500':
          description: Internal API Error
          content:
            application/json:
              schema:
                description: Any type
        '503':
          description: Database connection error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/type_:PayabliApiResponse'
servers:
  - url: https://api-sandbox.payabli.com/api
  - url: https://api.payabli.com/api
components:
  schemas:
    type_:NotificationContentEventType:
      type: string
      enum:
        - ApprovedPayment
        - AuthorizedPayment
        - DeclinedPayment
        - OriginatedPayment
        - SettledPayment
        - SubscriptionCreated
        - SubscriptionUpdated
        - SubscriptionCanceled
        - SubscriptionCompleted
        - FundedPayment
        - VoidedPayment
        - RefundedPayment
        - HoldTransaction
        - ReleasedTransaction
        - HoldBatch
        - ReleasedBatch
        - TransferDisabledCreditFund
        - TransferDisabledDebitFund
        - TransferNotAvailableBalance
        - TransferReturn
        - TransferSuccess
        - TransferSuspended
        - TransferError
        - SendReceipt
        - RecoveredTransaction
        - CreatedApplication
        - ApprovedApplication
        - FailedBoardingApplication
        - SubmittedApplication
        - ActivatedMerchant
        - ReceivedChargeBack
        - ChargebackUpdated
        - ReceivedRetrieval
        - RetrievalUpdated
        - ReceivedAchReturn
        - HoldingApplication
        - DeclinedApplication
        - BoardingApplication
        - FraudAlert
        - InvoiceSent
        - InvoicePaid
        - InvoiceCreated
        - BillPaid
        - BillApproved
        - BillDisApproved
        - BillCanceled
        - BillProcessing
        - CardCreated
        - CardActivated
        - CardDeactivated
        - CardExpired
        - CardExpiring
        - CardLimitUpdated
        - BatchClosed
        - BatchNotClosed
        - PayOutFunded
        - PayOutProcessed
        - PayOutCanceled
        - PayOutPaid
        - PayOutReturned
        - PayoutSubscriptionCreated
        - PayoutSubscriptionUpdated
        - PayoutSubscriptionCanceled
        - PayoutSubscriptionCompleted
        - PayoutSubscriptionReminder
        - importFileReceived
        - importFileProcessed
        - importFileError
        - exportFileSent
        - exportFileError
        - FailedEmailNotification
        - FailedWebNotification
        - FailedSMSNotification
        - UserPasswordExpiring
        - UserPasswordExpired
        - TransactionNotFound
        - SystemAlert
        - Report
      description: The notification's event name.
      title: NotificationContentEventType
    type_:NotificationContentFileFormat:
      type: string
      enum:
        - json
        - csv
        - xlsx
      description: |-
        Indicate the format of report file to be generated by the engine.
        Used for `method` = *report-email* and *report-web*.
      title: NotificationContentFileFormat
    type_:KeyValueDuo:
      type: object
      properties:
        key:
          type: string
          description: Key name.
        value:
          type: string
          description: Key value.
      title: KeyValueDuo
    type_:NotificationContentReportName:
      type: string
      enum:
        - Transaction
        - Settlement
        - Boarding
        - Returned
      description: >-
        The kind report to generate. For [automated
        reports](/developers/developer-guides/notifications-and-webhooks-overview#automated-reports)
        only.
      title: NotificationContentReportName
    type_:Timezone:
      type: integer
      description: Timezone, in UTC offset. For example, -5 is Eastern time.
      title: Timezone
    type_:NotificationContent:
      type: object
      properties:
        eventType:
          $ref: '#/components/schemas/type_:NotificationContentEventType'
          description: The notification's event name.
        fileFormat:
          $ref: '#/components/schemas/type_:NotificationContentFileFormat'
          description: |-
            Indicate the format of report file to be generated by the engine.
            Used for `method` = *report-email* and *report-web*.
        internalData:
          type: array
          items:
            $ref: '#/components/schemas/type_:KeyValueDuo'
          description: >-
            Array of pairs key:value to insert in request body to target in
            **method** = *web* or *report-web*.
        reportName:
          $ref: '#/components/schemas/type_:NotificationContentReportName'
          description: >-
            The kind report to generate. For [automated
            reports](/developers/developer-guides/notifications-and-webhooks-overview#automated-reports)
            only.
        timeZone:
          $ref: '#/components/schemas/type_:Timezone'
        transactionId:
          type: string
          default: '0'
          description: >-
            Used internally to reference the entity or object generating the
            event.
        webHeaderParameters:
          type: array
          items:
            $ref: '#/components/schemas/type_:KeyValueDuo'
          description: >-
            Array of pairs key:value to insert in header of request to target in
            **method** = *web* or *report-web*.
      title: NotificationContent
    type_:CreatedAt:
      type: string
      format: date-time
      description: Timestamp of when record was created, in UTC.
      title: CreatedAt
    type_:Frequencynotification:
      type: string
      enum:
        - one-time
        - daily
        - weekly
        - biweekly
        - monthly
        - quarterly
        - semiannually
        - annually
        - untilcancelled
      description: >-
        Frequency for notification. 

        For notifications using the *email* ,*sms*, or *web* `method`, the
        allowed values are:
          - `untilcancelled`
          - `one-time`

        For notifications using the *report-email* or *report-web* `method`, the
        allowed values are:
          - `one-time`
          - `daily`
          - `weekly`
          - `biweekly`
          - `monthly`
          - `quarterly`
          - `semiannually`
          - `annually`
      title: Frequencynotification
    type_:LastModified:
      type: string
      format: date-time
      description: Timestamp of when record was last updated, in UTC.
      title: LastModified
    type_:Methodnotification:
      type: string
      enum:
        - email
        - sms
        - web
        - report-email
        - report-web
      description: Method to use to send the notification to the target.
      title: Methodnotification
    type_:NotificationId:
      type: integer
      format: int64
      description: >-
        The notification's Payabli identifier. This is the ID used to manage the
        notification.
      title: NotificationId
    type_:Ownerid:
      type: integer
      description: >-
        ID for the paypoint or organization that owns the notification.


        If the `ownerType` field is `0`, this field is the same as the `orgId`
        for the organization that owns this notification.


        If the `ownerType` field is `2`, this field is the same as the
        `paypointId` for the paypoint that owns this notification.
      title: Ownerid
    type_:Ownertype:
      type: integer
      description: |-
        Entity owner type. Accepted values:

          - `0`: Organization/partner
          - `2`: Paypoint
      title: Ownertype
    type_:Source:
      type: string
      description: Custom identifier to indicate the transaction or request source.
      title: Source
    type_:Statusnotification:
      type: integer
      description: |-
        Status of notification: 
          - `0`: Inactive
          - `1`: Active
      title: Statusnotification
    type_:Target:
      type: string
      description: >-
        Specify the notification target.


        For **method**=*email* the expected value is a list of email addresses
        separated by semicolon.


        For **method**=*sms* the expected value is a list of phone numbers
        separated by semicolon.


        For **method**=*web*. the expected value is a valid and complete URL.
        Webhooks support only standard HTTP ports: 80, 443, 8080, or 4443.
      title: Target
    type_:NotificationQueryRecord:
      type: object
      properties:
        content:
          $ref: '#/components/schemas/type_:NotificationContent'
          description: Notification content.
        createdAt:
          $ref: '#/components/schemas/type_:CreatedAt'
          description: Timestamp of when notification was created.
        frequency:
          $ref: '#/components/schemas/type_:Frequencynotification'
        lastUpdated:
          $ref: '#/components/schemas/type_:LastModified'
          description: Timestamp of when notification was last updated.
        method:
          $ref: '#/components/schemas/type_:Methodnotification'
        notificationId:
          $ref: '#/components/schemas/type_:NotificationId'
        ownerId:
          $ref: '#/components/schemas/type_:Ownerid'
        ownerName:
          type: string
          description: Name of entity owner of notification.
        ownerType:
          $ref: '#/components/schemas/type_:Ownertype'
        source:
          $ref: '#/components/schemas/type_:Source'
          description: Custom descriptor of source of notification.
        status:
          $ref: '#/components/schemas/type_:Statusnotification'
        target:
          $ref: '#/components/schemas/type_:Target'
      title: NotificationQueryRecord
    type_:IsSuccess:
      type: boolean
      description: >-
        Boolean indicating whether the operation was successful. A `true` value
        indicates success. A `false` value indicates failure.
      title: IsSuccess
    type_:Responsedata:
      type: object
      additionalProperties:
        description: Any type
      description: The object containing the response data.
      title: Responsedata
    type_:ResponseText:
      type: string
      description: 'Response text for operation: ''Success'' or ''Declined''.'
      title: ResponseText
    type_:PayabliApiResponse:
      type: object
      properties:
        isSuccess:
          $ref: '#/components/schemas/type_:IsSuccess'
        responseData:
          $ref: '#/components/schemas/type_:Responsedata'
        responseText:
          $ref: '#/components/schemas/type_:ResponseText'
      required:
        - responseText
      title: PayabliApiResponse
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: requestToken

```

## SDK Code Examples

```typescript Get
import { PayabliClient } from "@payabli/sdk-node";

async function main() {
    const client = new PayabliClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.notification.getNotification("1717");
}
main();

```

```python Get
from payabli import payabli

client = payabli(
    api_key="YOUR_API_KEY_HERE",
)

client.notification.get_notification(
    n_id="1717",
)

```

```csharp Get
using PayabliPayabliApi;
using System.Threading.Tasks;

namespace Usage;

public class Example
{
    public async Task Do() {
        var client = new PayabliPayabliApiClient(
            apiKey: "YOUR_API_KEY_HERE"
        );

        await client.Notification.GetNotificationAsync(
            "1717"
        );
    }

}

```

```go Get
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-sandbox.payabli.com/api/Notification/1717"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("requestToken", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Get
require 'uri'
require 'net/http'

url = URI("https://api-sandbox.payabli.com/api/Notification/1717")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["requestToken"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Get
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-sandbox.payabli.com/api/Notification/1717")
  .header("requestToken", "<apiKey>")
  .asString();
```

```php Get
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-sandbox.payabli.com/api/Notification/1717', [
  'headers' => [
    'requestToken' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```swift Get
import Foundation

let headers = ["requestToken": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-sandbox.payabli.com/api/Notification/1717")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```